﻿@model ADS.Core.Model.Advogado

<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
    <h4>@Html.DisplayFor(model => model.Nome)</h4>
</div>
@{
    string imgSrc = null;
    if (Model.Foto != null)
    {
        var base64 = Convert.ToBase64String(Model.Foto);
        imgSrc = String.Format("data:image/gif;base64,{0}", base64);
    }

}
<div class="modal-body container">
    
    <dl class="dl-horizontal">      

        <dt>
            @if (imgSrc == null)
            {
                <img id="fotoAdvogado" src="~/Content/images/thunbnail-adv-pic.png" alt="Fot do Advogado" class="img-thumbnail vcenter" width="140" height="140">
            }
            else
            {
                <img id="fotoAdvogado" src=@imgSrc alt="Fot do Advogado" class="img-thumbnail vcenter" width="140" height="140">
            }
        </dt>
        <dd>
            <b>CPF:</b>
            @Html.DisplayFor(model => model.CPF)
            <br />
            <b>RG:</b>
            @Html.DisplayFor(model => model.RG)
            <br />
            <b>Nr.Carteira:</b>
            @Html.DisplayFor(model => model.NumeroCarteira)
            <br />
            <b>Nr.Inscrição:</b>
            @Html.DisplayFor(model => model.NumeroInscricao)
            <br />
            <b>Seccional:</b>
            @Html.DisplayFor(model => model.Seccional)
            <br />
            <b>Subseção:</b>
            @Html.DisplayFor(model => model.Subsecao)
            <br />
            <!--
            <b>Filiação:</b>
            @Html.DisplayFor(model => model.Filiacao)
            <br />
                -->
            <b>Ativo:</b>
            <span>@(Model.Ativo == true ? "Sim":"Não")</span>
            <br />
            @foreach (var m in Model.Telefone)
            {
                if (m.Removido == false)
                {
                    <b>Telefone:</b>
                    <span>(@m.DDD) @m.Numero</span>
                    <br />
                }
            }
            <br />
            @foreach (var m in Model.Endereco)
            {
                if (m.Removido==false)
                {
                    <b>CEP:</b>
                    <span>@m.CEP</span>
                    <br />
                    <b>Estado:</b>
                    <span>@m.UF</span>
                    <br />
                    <b>Cidade:</b>
                    <span>@m.Cidade</span>
                    <br />
                    <b>Bairro:</b>
                    <span>@m.Bairro</span>
                    <br />
                    <b>Logradouro:</b>
                    <span>@m.Logradouro</span>
                    <br />
                    <b>Número:</b>
                    <span>@m.Numero</span>
                    <br />
                    <b>Complemento:</b>
                    <span>@m.Complemento</span>
                    <br />
                    <br />
                }
            }
            <br />
            <b>Criado Em:</b>
            @Html.DisplayFor(model => model.CriadoEm)
        </dd>
    </dl>
</div>

